- [HTTP request](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions/list#body.ListAclPolicyRevisionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions/list#body.aspect_1)

Lists all ACL policy revisions in a given ACL policy.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west15 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-central2 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4 us-west8   
`GET https://memorystore.googleapis.com/v1/{parent=projects/*/locations/*/aclPolicies/*}/revisions`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the ACL policy to list revisions for. Format: "projects/{project}/locations/{location}/aclPolicies/{aclPolicy}" |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return. |
| `pageToken` | `string` Optional. The `nextPageToken` value returned from a previous `revisions.list` request, if any. |

### Request body

The request body must be empty.

### Response body

Response for `revisions.list`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "aclPolicyRevisions": [ { object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions#AclPolicyRevision`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `aclPolicyRevisions[]` | ``object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.aclPolicies.revisions#AclPolicyRevision`)`` A list of ACL policy revisions. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/memorystore.read-write`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `memorystore.aclPolicyRevisions.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).